Skip to main content
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
helm
/
releases
/
{namespace}
/
{name}
Get Helm Release Detail Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "metadata": {
    "name": "<string>",
    "namespace": "<string>",
    "revision": 123,
    "status": "<string>",
    "description": "<string>",
    "chart": "<string>",
    "chart_version": "<string>",
    "app_version": "<string>",
    "first_deployed": "<string>",
    "last_deployed": "<string>"
  },
  "user_values": {},
  "computed_values": {},
  "manifest_resources": [
    {}
  ],
  "hooks": [
    {}
  ],
  "notes": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required
namespace
string
required
Required string length: 1 - 253
name
string
required
Required string length: 1 - 253

Response

Successful Response

metadata
HelmReleaseMetadata · object
required
user_values
User Values · object
required
computed_values
Computed Values · object
required
manifest_resources
Manifest Resources · object[]
required
hooks
Hooks · object[]
required
notes
string | null